# NixOS Configurations

My NixOS configurations with dotfiles for my desktop

![Screenshot of desktop](./assets/desktop.png)

## Uses

|        |            |
| ------ | ---------- |
| WM     | Hyprland   |
| Shell  | Fish       |
| Prompt | Starship   |
| Theme  | Catppuccin |
| GPU    | NVidia     |
| Panel  | Hyprpanel  |
| Runner | Rofi       |
| Fetch  | Fastfetch  |

Requires Nix-channel with [NixOS 24.11](https://nixos.org/)

## Commands

Scripts will not run unless the necessary packages have been added to the path, either in a shell or by running nixos-rebuild

Format all .nix files

```Shell
  ./fmt
```

Rebuild and test Nix configuration

- Will add all new files to git and format all nix-files

```Shell
  ./test
```

Rebuild and switch Nix configuration

- Will add all new files to git and format all nix-files

```Shell
  ./rebuild
```

Update and switch

- Will update the flakes and nix-channel, then switch if there are no errors

```Shell
  ./update
```
