# Home configurations for Hyprland. For system configs, see ./modules/hyprland
{ outputs, ... }:

{
  imports = [
    ./binds.nix
    ./waybar
    ./hypridle
    ./hyprlock
    ./hyprpanel
    ./hyprpaper.nix
    ./hyprshot.nix
    ./settings.nix
    ./swaync
  ];

  # Adds pkgs.unstable in order to fetch packages from unstable repositories
  nixpkgs.overlays = [ outputs.overlays.unstable-packages ];

  wayland.windowManager.hyprland = {
    enable = true;
    systemd.variables = [ "--all" ]; # Import environment into systemd
  };
}
