# Wallpapers
{ pkgs, ... }:

{
  home.packages = with pkgs; [
    hyprpaper
  ];

  services.hyprpaper = {
    enable = true;
    settings =
      let
        wallpaperDir = ../../wallpapers;
        monitor1 = "${wallpaperDir}/nixos_waves.png";
        monitor2 = "${wallpaperDir}/ekg_v2.png";
      in
      {
        ipc = "on";
        splash = false;
        splash_offset = 2.0;

        preload = [
          monitor1
          monitor2
        ];

        wallpaper = [
          "DP-1,${monitor1}"
          "DP-3,${monitor2}"
        ];
      };
  };
}
